Shuchita Tripathi

    Shuchita Tripathi

    5 months ago
    Hi, I am considering using prefect 2.0 for my usecase. Since the UI is not yet supported if prefect is installed in VM, I was thinking if someone could help me understand if below points are supported yet, or if there is any plan for it in future release: 1. Prefect has to be installed in a VM in Azure cloud. Will an agent installed somewhere else be able to connect to it? 2. Can I call prefect flows via an API? My requirement is to make a POST call, which will create and then execute flows. These flows will then use Terraform to create resources in Azure. Is this supported in 2.0? 3. I want to store the flows in Azure. In prefect 1.0, this didn't work for me. AWS worked but not Azure. poetry add prefect[azure] gave error and pip install prefect[azure] went on for hours and never ended. I tried multiple versions of pip. Is this supported in 2.0? (This point is the main reason I am considering 2.0) 4. I am running my application in a virtual env (poetry). In prefect 1.0, if I was running the agent inside virtual env, it was always taking localhost, not the IP of server. Outside of virtual env, it was running fine using the IP provided in config.toml. Can I run agent in virtual env in 2.0 using common config.toml? Thank you!
    Michael Adkins

    Michael Adkins

    5 months ago
    1. Yes, just set
    PREFECT_API_URL
    2. Yes, you must create a deployment for the flow. https://orion-docs.prefect.io/concepts/deployments/ and https://orion-docs.prefect.io/tutorials/deployments/ 3. The pip resolution issue in 1.0 is fixed now. Regardless, we support Azure storage for flows in 2.0 as well. https://github.com/PrefectHQ/prefect/blob/master/CHANGELOG.md#task-library / https://orion-docs.prefect.io/api-ref/prefect/blocks/storage/#prefect.blocks.storage.AzureBlobStorageBlock 4. Yes, you can use Prefect profiles for persisting configuration https://orion-docs.prefect.io/concepts/settings/
    Shuchita Tripathi

    Shuchita Tripathi

    5 months ago
    Thanks Michael, which version of pip should I use for point#3
    Kevin Kho

    Kevin Kho

    5 months ago
    I think he means Prefect 1.2 which decoupled the dependencies, but I am not confident poetry would work
    Michael Adkins

    Michael Adkins

    5 months ago
    Any version should be fine, we moved the offending requirement from the
    azure
    to
    azureml
    extra.
    But yes you’ll need the latest version of Prefect (1.2) for that change to take effect.
    Shuchita Tripathi

    Shuchita Tripathi

    5 months ago
    That's gret. I'll try out 1.2 If there any documentation for upgrading 1.0.0 (my current version) to 1.2
    Michael Adkins

    Michael Adkins

    5 months ago
    You can read the changelog for details on the changes, but there are no breaking changes so nothing special should be required.
    Shuchita Tripathi

    Shuchita Tripathi

    5 months ago
    prefect 1.2 worked for me. I can now see flows getting uploaded to azure and the flow is running fine. both pip and poetry worked. Thank you!